Bug 1305463 - (CVE-2014-9765) CVE-2014-9765 xdelta: buffer overflow in main_get_appheader
CVE-2014-9765 xdelta: buffer overflow in main_get_appheader
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20141012,repor...
: Security
Depends On: 1305464
Blocks: 1305468
  Show dependency treegraph
 
Reported: 2016-02-08 05:37 EST by Adam Mariš
Modified: 2016-05-27 06:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: xdelta 3.0.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-27 06:03:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-08 05:37:40 EST
A buffer overflow vulnerability in xdelta3 was reported, allowing arbitrary code execution from input files on some systems.

Upstream patch:

https://github.com/jmacd/xdelta/commit/969e65d3a5d70442f5bafd726bcef47a0b48edd8
Comment 1 Adam Mariš 2016-02-08 05:37:59 EST
Fedora 23, package xdelta, is not vulnerable because it currently has xdelta-3.0.9-1.fc23 in stable
Comment 2 Adam Mariš 2016-02-08 05:39:18 EST
Created xdelta tracking bugs for this issue:

Affects: fedora-22 [bug 1305464]
Comment 3 Andrej Nemec 2016-02-22 03:41:56 EST
External references:

(none)
Comment 4 Tomas Hoger 2016-05-27 06:03:08 EDT
Currently no plan to address this in Red Hat Enterprise Linux 7.  xdelta is a leaf package, not required/used by other distribution components.

Note You need to log in before you can comment on or make changes to this bug.